org.jboss.jca.core.workmanager.policy

## Class Never

- java.lang.Object
- - org.jboss.jca.core.workmanager.notification.AbstractNotificationListener
  - - org.jboss.jca.core.workmanager.policy.AbstractPolicy
    - - org.jboss.jca.core.workmanager.policy.Never

- All Implemented Interfaces:
    org.jboss.jca.core.spi.workmanager.notification.NotificationListener, org.jboss.jca.core.spi.workmanager.policy.Policy

      public class Never
      extends AbstractPolicy

  The never distribute policy
  Author:
    Jesper Pedersen

- - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.core.workmanager.notification.AbstractNotificationListener

      `longRunning, shortRunning`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Never()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `shouldDistribute(org.jboss.jca.core.api.workmanager.DistributedWorkManager dwm, javax.resource.spi.work.DistributableWork work)` Should a distribution of the work happen

    - ### Methods inherited from class org.jboss.jca.core.workmanager.policy.AbstractPolicy

      `getShouldDistribute`

    - ### Methods inherited from class org.jboss.jca.core.workmanager.notification.AbstractNotificationListener

      `deltaDoWorkAccepted, deltaDoWorkRejected, deltaScheduleWorkAccepted, deltaScheduleWorkRejected, deltaStartWorkAccepted, deltaStartWorkRejected, deltaWorkFailed, deltaWorkSuccessful, join, leave, updateLongRunningFree, updateShortRunningFree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Never

          public Never()

      Constructor

  - ### Method Detail

    - #### shouldDistribute

          public boolean shouldDistribute(org.jboss.jca.core.api.workmanager.DistributedWorkManager dwm,
                                          javax.resource.spi.work.DistributableWork work)

      Should a distribution of the work happen
      Specified by:
        `shouldDistribute` in interface `org.jboss.jca.core.spi.workmanager.policy.Policy`
      Specified by:
        `shouldDistribute` in class `AbstractPolicy`
      Parameters:
        `dwm` - The invoking distributed work manager
        `work` - The work instance
      Returns:
        True, if the work should be distributed; otherwise false

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)